<div style="margin-bottom: 15px;">
    <!-- <h5>
       <span jhiTranslate="mpmApp.shipmentReceipt.home.title">Shipment Receipts</span>
    </h5> -->
    <p-dataTable
        [value]="shipmentReceipts"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idReceipt"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <!-- <li class="nav-item">
                    <a class="btn" (click)="process()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-dot-circle-o"></i> &nbsp;{{ 'entity.action.process' | translate }}</a>
                </li> -->
                <li class="nav-item" *jhiHasAnyAuthority="['ROLE_ADMIN']">
                    <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['shipment-receipt-new'] } }]"><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</a>
                </li>
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.shipmentReceipt.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentReceipt.idProduct'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idProduct}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentReceipt.idFeature'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.idFeature | number}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentReceipt.receiptCode'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.receiptCode}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentReceipt.qtyAccept'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyAccept | number: '.0-2'}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentReceipt.qtyReject'|translate}}" [style]="{'width': '100px', 'text-align': 'right'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtyReject | number: '.0-2'}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentReceipt.itemDescription'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.itemDescription}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentReceipt.dateReceipt'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.dateReceipt | date:'dd-MM-yyyy HH:mm:ss'}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentReceipt.shipmentPackage'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.shipmentPackageId">
                    <a [routerLink]="['../shipment-package', rowData.shipmentPackageId  ]" >{{rowData.shipmentPackageId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentReceipt.shipmentItem'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.shipmentItemId">
                    <a [routerLink]="['../shipment-item', rowData.shipmentItemId  ]" >{{rowData.shipmentItemId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentReceipt.orderItem'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.orderItemId">
                    <a [routerLink]="['../order-item', rowData.orderItemId  ]" >{{rowData.orderItemId}}</a>
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <!-- <button pButton type="submit"
                        [routerLink]="['../shipment-receipt', rowData.idReceipt]"
                        icon="fa-eye"
                        class="flat-button">
                </button> -->
                <button pButton type="submit"
                        [routerLink]="['/', { outlets: { popup: 'shipment-receipt/'+ rowData.idReceipt + '/edit'} }]"
                        replaceUrl="true"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData.idReceipt)"
                        icon="fa-remove"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>